/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for abcd
 */
public enum EnumCV_RadiopharmaceuticalAdministrationPatientCharacteristicsTemplates {

	//abcd - CID 6056
	PATIENTCHARACTERISTICS_121118("121118"),
	PATIENTSTATE_109054("109054"),
	SUBJECTAGE_121033("121033"),
	SUBJECTSEX_121032("121032"),
	PATIENTHEIGHT_8302_2("8302-2"),
	PATIENTWEIGHT_29463_7("29463-7"),
	BODYSURFACE_AREA_8277_6("8277-6"),
	BODYSURFACE_AREA_FORMULA_8278_4("8278-4"),
	BODYMASS_INDEX_F_01860("F-01860"),
	EQUATION_121420("121420"),
	GLUCOSE_14749_6("14749-6"),
	FASTINGDURATION_113550("113550"),
	HYDRATION_VOLUME_113551("113551"),
	RECENTPHYSICAL_ACTIVITY_113552("113552"),
	SERUMCREATININE_2160_0("2160-0"),
	GLOMERULAR_FILTRATION_RATE_F_70210("F-70210"),
	MEASUREMENT_METHOD_G_C036("G-C036"),
	EQUIVALENT_MEANING_OFCONCEPT_NAME_121050("121050"),
;
	private String value;

	EnumCV_RadiopharmaceuticalAdministrationPatientCharacteristicsTemplates(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}


